export interface CompleteDriverOnboardingViewModel {
  success: boolean;
  driverId?: string;
  errorMessage?: string;
}

export interface CompleteDriverOnboardingResultDTO {
  success: boolean;
  driverId?: string;
  errorMessage?: string;
}

export interface ICompleteDriverOnboardingPresenter {
  present(dto: CompleteDriverOnboardingResultDTO): void;
  get viewModel(): CompleteDriverOnboardingViewModel;
  reset(): void;
}